Retrieves a list of inbox message threads with optional search, sorting, and pagination.
apiKeyAuth API key authentication. Create an API key in your user profile and include it in the x-api-key header.
In: header
application/json
TypeScript Definitions
Use the request body type in TypeScript.
items <= 50length <= 200application/json
application/json
application/json
application/json
application/json
curl -X POST "https://customermates.com/api/v1/messaging/threads/search" \ -H "Content-Type: application/json" \ -d '{}'{
"p13nId": "string",
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"connectedAccountId": "ac03972a-5ca5-43c5-b96f-c519ac843b7a",
"unipileThreadId": "string",
"provider": "google",
"type": "single",
"name": null,
"subject": "string",
"preview": "string",
"previewKind": "image",
"lastMessageAt": "string",
"participants": [
{
"attendeeId": "string",
"displayName": "string",
"identifier": "string",
"pictureUrl": "string",
"profileUrl": "string",
"headline": "string",
"occupation": "string",
"isSelf": true,
"contact": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"firstName": "string",
"lastName": "string",
"avatarUrl": "string"
}
}
],
"state": "unread",
"sharedToCrm": false,
"accountShared": false,
"isOwner": false,
"lastMessageFromSelf": false,
"lastMessageSenderName": null,
"createdAt": "string",
"updatedAt": "string"
}
],
"customColumns": [
null
],
"filters": [
null
],
"searchTerm": "string",
"sortDescriptor": null,
"pagination": {
"page": 0,
"pageSize": 0,
"totalPages": 0,
"total": 0
},
"filterableFields": [
null
],
"columnOrder": [
"string"
],
"columnWidths": {
"property1": 0,
"property2": 0
},
"hiddenColumns": [
"string"
],
"savedFilterPresets": [
null
],
"viewMode": "string",
"groupingColumnId": "string",
"groupCounts": {
"property1": 0,
"property2": 0
}
}"string""string""string""string"